<?php

$marker = array();
$all = '';

/* data */
$distros['Fedora'] = 2;
$distros['Ubuntu'] = 4;
$distros['OpenSUSE'] = 1;
$city = "Zagreb";
$coord_x = 45.8227;
$coord_y = 16.0063;

$distro_list = '<ul>';
foreach ( $distros as $key => $value )
    $distro_list .= "<li>$key: $value</li>";
$distro_list .= '</ul>';

$marker[] = array( 'type'=>'Feature',
		    'geometry'=>array( 'type'=>'Point',
				       'coordinates'=>array( (float)$coord_x, (float)$coord_y )
				     ),
		    'properties'=>array( 'title'=>$city,
					  'description'=>"Distribucija:<br /> $distro_list"
					)
		  );

$all = array( 'type'=>'FeatureCollection', 'features'=>$marker );

echo 'var map_data = '.json_encode( $all ).';';

?>